<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE sqlMap 
            PUBLIC "-//ibatis.apache.org//DTD SQL Map 2.0//EN"
            "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<!-- SqlMap定義 -->
<sqlMap namespace="user">

    <!-- 登録されているユーザの件数を取得する -->
    <select id="getUserCount"
        parameterClass="jp.terasoluna.rich.tutorial.service.bean.UserBean"
        resultClass="java.lang.Integer">
        SELECT
                COUNT (ID)
            FROM
                USERTABLE
            WHERE
                ID = #id#
    </select>
    
    <!-- ユーザを挿入する -->
    <insert id="insertUser"
        parameterClass="jp.terasoluna.rich.tutorial.service.bean.UserBean">
        INSERT
            INTO
                USERTABLE (
                    ID
                    ,NAME
                    ,AGE
                    ,BIRTH
                )
            VALUES (
                #id#
                ,#name#
                ,#age#
                ,#birth#
            )
    </insert>
    
    <!-- 全ユーザを取得する -->
    <select id="getUserList"
        resultClass="jp.terasoluna.rich.tutorial.service.bean.UserBean"
        resultSetType="SCROLL_INSENSITIVE">
        SELECT
                ID
                ,NAME
                ,AGE
                ,BIRTH
            FROM
                USERTABLE
            ORDER BY
                ID
    </select>
    
</sqlMap>